<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        /* ЗАДАНИЕ №1
        Напиши функцию map(fn, array), которая принимает на вход функцию и массив, 
        и обрабатывает каждый элемент массива этой функцией, возвращая новый массив.
        */
        const array = ["AAA", "BBB", "CCC", "DDD", "EEE"];

        function fn(array) {
            const arr = array;
            for (let i = 0; i < arr.length; i++) {
                console.log("Element #" + i + ": " + arr[i]);
            }
            return arr;
        }

        function map(fn, array) {
            const arrs = array;
            fn(arrs);
        }

        map(fn, array);


        /* ЗАДАНИЕ №2
        Перепишите функцию, используя оператор '?' или '||'
        Следующая функция возвращает true, если параметр age больше 18.
        В ином случае она задаёт вопрос confirm и возвращает его результат.
        */
        let age = parseInt(prompt("Age: ", ""));

        const checkAge = (age) => {
            const result = age >= 18 ? true : confirm("Родители разрешили?");
        }

        checkAge(age);
    </script>
</body>
</html>
